# DAGetGhostedCoordinates

Gets the node coordinates associated with a DA.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetGhostedCoordinates(DA da,Vec *c)

Collective on DA the first time it is called

### Input Parameter

da -the distributed array

### Output Parameter

c -coordinate vector

### Note

Each process has only the coordinates for its local AND ghost nodes

For two and three dimensions coordinates are interlaced (x_0,y_0,x_1,y_1,...) and (x_0,y_0,z_0,x_1,y_1,z_1...)

You should not destroy or keep around this vector after the DA is destroyed.

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DAGetGhostCorners(), DASetCoordinates(), DASetUniformCoordinates(), DAGetCoordinates(), DAGetCoordinateDA()

Level:intermediate
Location:src/dm/da/src/dacorn.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/da/examples/tutorials/ex3.c.html